Package org.pentaho.reporting.libraries.resourceloader

# Class DependencyCollector

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.DependencyCollector

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class DependencyCollector extends Object implements Serializable, Cloneable
Creation-Date: 08.04.2006, 14:12:14

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DependencyCollector(ResourceKey source, long version)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Resource dependentResource)`
`void`
`add(ResourceKey resourceKey, long version)`
`Object`
`clone()`
`ResourceKey[]`
`getDependencies()`
`long`
`getVersion(ResourceKey key)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyCollector

public DependencyCollector(ResourceKey source, long version)

## Method Details

### getDependencies

public ResourceKey[] getDependencies()

### add

public void add(Resource dependentResource)

### add

public void add(ResourceKey resourceKey, long version)

### getVersion

public long getVersion(ResourceKey key)

### clone

public Object clone() throws CloneNotSupportedException

Throws:
  `CloneNotSupportedException`